%define _altdata_dir %_datadir/alterator

Name: alterator-squid
Version: 1.0
Release: alt6.M50.1

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch: noarch

Source:%name-%version.tar

Summary: Alterator module for Squid proxy server configuration
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 4.8-alt1
Requires: metalterator >= 1.0-alt2.M50.1
Requires: verborum-caterva >= 1.0-alt3.M50.1
Requires: caterva-alterator-kit-sh >= 1.0-alt4.M50.1
Requires: alterator-net-iptables >= 2.4-alt2
Requires: alterator-ldap-groups >= 0.1-alt1
Requires: alterator-fbi >= 5.11-alt2
Conflicts: alterator >= 5.0
Conflicts: metalterator >= 2.0
Conflicts: verborum-caterva >= 2.0
Conflicts: caterva-alterator-kit-sh >= 2.0
Conflicts: alterator-net-iptables >= 3.0
Conflicts: alterator-ldap-groups >= 1.0
Conflicts: alterator-fbi >= 6.0

# Automatically added by buildreq on Wed Apr 08 2009
BuildRequires: alterator rpm-macros-fillup

%description
Alterator module for Squid proxy server configuration

%prep
%setup -q

%build
%make_build

%install
%makeinstall
mkdir -p -m0755 %buildroot%_sysconfdir/metalterator && \
cp -rp metalterator/squid %buildroot%_sysconfdir/metalterator/
mkdir -p -m0755 %buildroot%_sysconfdir/caterva/squid && \
cp -rp caterva/squid.conf %buildroot%_sysconfdir/caterva/squid/
install -D -m 0755 bin/squid_commit_helper %buildroot%_alterator_backend3dir/helper/squid_commit_helper

%files
%_alterator_datadir/applications/*
%_alterator_datadir/ui/*
%_alterator_datadir/interfaces/guile/backend/squid.scm
%_alterator_datadir/interfaces/guile/type/*
%config(noreplace) %_sysconfdir/metalterator/squid
%_sysconfdir/caterva/squid/*
%_alterator_backend3dir/squid-commit
%_alterator_backend3dir/helper/squid_commit_helper

%changelog
* Mon May 04 2009 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt6.M50.1
- Use alterator-ldap-groups as user group source.

* Thu Apr 23 2009 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt6
- Use textual language parameter.
- Default configuration counters fixed.

* Tue Apr 21 2009 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt5
- Network interface management left for the iptables_helper.
- Domain suffix list data type.
- Domain management page has been moved to the Groups.
- Default configuration updated in accordance with the Squid package.

* Tue Apr 14 2009 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt4
- Service control interface added.

* Sat Apr 11 2009 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt2.M50.1
- Using woo-case pattern syntax.
- Domain suffix field data type.
- Generation of the service pre-start and pre-stop scripts.

* Thu Apr 09 2009 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt2
- Using "link" and "read-next" new meta-backend operations.
- Verborum Caterva configuration generator.

* Wed Apr 08 2009 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt1
- Metalterator-based release.

* Tue Jan 27 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt6
- move help and translations to alterator-l10n

* Mon Dec 08 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt5
- resurrect default settings tuning

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt4
- use help from l10n, rebuild

* Mon Oct 13 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- fix requires

* Fri Oct 10 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- add unit-tests

* Fri Sep 26 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- rewrite backend and UI

* Mon Aug 11 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- update html templates:
   * replace template-* backend with modern schema
   * remove <h1> and <title>
   * move design to /usr/share/alterator/design
- update build system:
   * use global support for awk based backends
   * use module.awk

* Tue Jun 17 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt15
- Require alterator-services instead of alterator-chkconfig.

* Fri Jun 06 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt14
- Replace label tag with a translation on the help page.

* Wed May 28 2008 Grigory Batalov <bga@altlinux.ru> 0.2-alt12.M41.1
- Update translations.
- Update service restart link.
- Backport to branch 4.1.

* Tue Mar 04 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.2-alt12
- Change help paths to the new style.

* Wed Aug 15 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt11
- Help content updated.

* Mon Aug 06 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt10
- Switch to new menu system.

* Tue May 22 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt9
- Backend rewritten in Awk.
- Site blacklist added.
- Cache manager password added.

* Wed May 02 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt8
- Accept acl our_networks if not yet (fix #11657).

* Sat Apr 28 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt7
- Ukrainian localization (tanks to Serhii Hlodin). 

* Wed Apr 25 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt6
- Add link for service configuration.
- Update for recent CSS.

* Wed Apr 11 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt5
- Constraints on listen host/port.
- Check if range mask is numerical.

* Wed Apr 11 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt4
- Reload service on write command too.
- Constraint on domain.

* Tue Apr 03 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt3
- Reload service after new/delete action.
- Constraint on network range.
- Listen and networks table headers were translated.
- Documentation updated (by kirill@).

* Thu Mar 29 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt2
- Documentation included.

* Mon Mar 26 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt1
- Russian translation was added.
- Store allowed networks in separate file.

* Wed Mar 14 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt1
- Initial release


